﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO8xxxx (1 yr) Bandwidth VER IEEE /9560
DATE:                  2006-08-03
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       375
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH5
  1.003  ENDIF

# If TAR mode is selected, set NTHROW = to zero to reduce execution time.
  1.004  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  1.005  VSET         NTHROW = 0
  1.006  ENDIF

  1.007  CALL         Sub Agilent Infiniium Channel Selection
  1.008  MATH         L[10] = GET("Chan")

  1.009  IF           GET("Chan") == 1
  1.010  RSLT         =
  1.011  HEAD         {ANALOG BANDWIDTH - MAXIMUM FREQUENCY CHECK}
  1.012  RSLT         =(Response at rated Bandwidth, dB)
  1.013  ENDIF

  1.014  RSLT         =
  1.015  RSLT         =Channel [L10]
  1.016  HEAD         ANALOG BANDWIDTH (CH [L10]): 5 mV/div
  1.017  TSET         TDESC = 5 mV/div
  1.018  TARGET       -p
  1.019  SCPI         CHAN[L10]:SCAL 5E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  1.020  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  1.021  SCPI         TRIG:EDGE:SLOP POS;SOUR CHAN[L10]
  1.022  TARGET       -m
# A 6 division reference is used due to amplitude limitations of the 9560.
  1.023  MATH         MEM = 10.607E-3; MEM1 = MEM

# Set the output of the calibrator so the peak-to-peak measurement is
# between 19.95 and 20.05 mV.
  1.024  DO
  1.025  MATH         MEM = MEM1 + (10.607E-3 - MEM) / 2
  1.026  9500         V                            50MH           LS    S  L
  1.027  WAIT         [D1000]
  1.028  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  1.029  UNTIL        (MEM >= 10.597E-3) && (MEM <= 10.617E-3)

# Store UUT amplitude reading at reference frequency in L[1].
  1.030  MATH         L[1] = MEM
# Copy last calibrator amplitude setting (in MEM1) to MEM to set 58xxA output.
  1.031  MATH         MEM = MEM1
  1.032  SCPI         TIMEBASE:SCALE 100E-12

  1.033  IF           GET("Bandwidth") == 2E+9
  1.034  9500         V                            2GH            LS    S  L
  1.035  ELSEIF       GET("Bandwidth") == 3E+9
  1.036  9500         V                            3GH            LS    S  L
  1.037  ELSEIF       GET("Bandwidth") == 4E+9
  1.038  9500         V                            4GH            LS    S  L
  1.039  ELSEIF       GET("Bandwidth") == 6E+9
  1.040  9500         V                            6GH            LS    S  L
  1.041  ELSE
  1.042  DISP         Error: Bandwidth Out of Range!
  1.043  END
  1.044  ENDIF

  1.045  WAIT         -t 2 System settling...
  1.046  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
# Compute 'dB down' from reference at UUT rated bandwidth.
  1.047  MATH         MEM = (20 * LOG(MEM / L[1]))
# 9560 Active Head flatness error (±2%) expressed in dB.
  1.048  ACC          0.00dB         0.17U
  1.049  MEMCX        0.00dB         3.00U

  2.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 10 mV/div
  2.002  TSET         TDESC = 10 mV/div
  2.003  TARGET       -p
  2.004  SCPI         CHAN[L10]:SCAL 10E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  2.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  2.006  TARGET       -m
  2.007  MATH         MEM = 14.142E-3; MEM1 = MEM

  2.008  DO
  2.009  MATH         MEM = MEM1 + (14.142E-3 - MEM) / 2
  2.010  9500         V                            50MH           LS    S  L
  2.011  WAIT         [D1000]
  2.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  2.013  UNTIL        (MEM >= 14.128E-3) && (MEM <= 14.156E-3)

  2.014  MATH         L[1] = MEM
  2.015  MATH         MEM = MEM1
  2.016  SCPI         TIMEBASE:SCALE 100E-12

  2.017  IF           GET("Bandwidth") == 2E+9
  2.018  9500         V                            2GH            LS    S  L
  2.019  ELSEIF       GET("Bandwidth") == 3E+9
  2.020  9500         V                            3GH            LS    S  L
  2.021  ELSEIF       GET("Bandwidth") == 4E+9
  2.022  9500         V                            4GH            LS    S  L
  2.023  ELSEIF       GET("Bandwidth") == 6E+9
  2.024  9500         V                            6GH            LS    S  L
  2.025  ELSE
  2.026  DISP         Bandwidth Out of Range!
  2.027  END
  2.028  ENDIF

  2.029  WAIT         -t 2 System settling...
  2.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  2.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  2.032  ACC          0.00dB         0.17U
  2.033  MEMCX        0.00dB         3.00U

  3.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 20 mV/div
  3.002  TSET         TDESC = 20 mV/div
  3.003  TARGET       -p
  3.004  SCPI         CHAN[L10]:SCAL 20E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  3.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  3.006  TARGET       -m
  3.007  MATH         MEM = 28.284E-3; MEM1 = MEM

  3.008  DO
  3.009  MATH         MEM = MEM1 + (28.284E-3 - MEM) / 2
  3.010  9500         V                            50MH           LS    S  L
  3.011  WAIT         [D1000]
  3.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  3.013  UNTIL        (MEM >= 28.256E-3) && (MEM <= 28.312E-3)

  3.014  MATH         L[1] = MEM
  3.015  MATH         MEM = MEM1
  3.016  SCPI         TIMEBASE:SCALE 100E-12

  3.017  IF           GET("Bandwidth") == 2E+9
  3.018  9500         V                            2GH            LS    S  L
  3.019  ELSEIF       GET("Bandwidth") == 3E+9
  3.020  9500         V                            3GH            LS    S  L
  3.021  ELSEIF       GET("Bandwidth") == 4E+9
  3.022  9500         V                            4GH            LS    S  L
  3.023  ELSEIF       GET("Bandwidth") == 6E+9
  3.024  9500         V                            6GH            LS    S  L
  3.025  ELSE
  3.026  DISP         Bandwidth Out of Range!
  3.027  END
  3.028  ENDIF

  3.029  WAIT         -t 2 System settling...
  3.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  3.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  3.032  ACC          0.00dB         0.17U
  3.033  MEMCX        0.00dB         3.00U

  4.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 50 mV/div
  4.002  TSET         TDESC = 50 mV/div
  4.003  TARGET       -p
  4.004  SCPI         CHAN[L10]:SCAL 50E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  4.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  4.006  TARGET       -m
  4.007  MATH         MEM = 70.711E-3; MEM1 = MEM

  4.008  DO
  4.009  MATH         MEM = MEM1 + (70.711E-3 - MEM) / 2
  4.010  9500         V                            50MH           LS    S  L
  4.011  WAIT         [D1000]
  4.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  4.013  UNTIL        (MEM >= 70.641E-3) && (MEM <= 70.781E-3)

  4.014  MATH         L[1] = MEM
  4.015  MATH         MEM = MEM1
  4.016  SCPI         TIMEBASE:SCALE 100E-12

  4.017  IF           GET("Bandwidth") == 2E+9
  4.018  9500         V                            2GH            LS    S  L
  4.019  ELSEIF       GET("Bandwidth") == 3E+9
  4.020  9500         V                            3GH            LS    S  L
  4.021  ELSEIF       GET("Bandwidth") == 4E+9
  4.022  9500         V                            4GH            LS    S  L
  4.023  ELSEIF       GET("Bandwidth") == 6E+9
  4.024  9500         V                            6GH            LS    S  L
  4.025  ELSE
  4.026  DISP         Bandwidth Out of Range!
  4.027  END
  4.028  ENDIF

  4.029  WAIT         -t 2 System settling...
  4.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  4.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  4.032  ACC          0.00dB         0.17U
  4.033  MEMCX        0.00dB         3.00U

  5.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 100 mV/div
  5.002  TSET         TDESC = 100 mV/div
  5.003  TARGET       -p
  5.004  SCPI         CHAN[L10]:SCAL 100E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  5.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  5.006  TARGET       -m
  5.007  MATH         MEM = 141.42E-3; MEM1 = MEM

  5.008  DO
  5.009  MATH         MEM = MEM1 + (141.42E-3 - MEM) / 2
  5.010  9500         V                            50MH           LS    S  L
  5.011  WAIT         [D1000]
  5.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  5.013  UNTIL        (MEM >= 141.28E-3) && (MEM <= 141.56E-3)

  5.014  MATH         L[1] = MEM
  5.015  MATH         MEM = MEM1
  5.016  SCPI         TIMEBASE:SCALE 100E-12

  5.017  IF           GET("Bandwidth") == 2E+9
  5.018  9500         V                            2GH            LS    S  L
  5.019  ELSEIF       GET("Bandwidth") == 3E+9
  5.020  9500         V                            3GH            LS    S  L
  5.021  ELSEIF       GET("Bandwidth") == 4E+9
  5.022  9500         V                            4GH            LS    S  L
  5.023  ELSEIF       GET("Bandwidth") == 6E+9
  5.024  9500         V                            6GH            LS    S  L
  5.025  ELSE
  5.026  DISP         Bandwidth Out of Range!
  5.027  END
  5.028  ENDIF

  5.029  WAIT         -t 2 System settling...
  5.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  5.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  5.032  ACC          0.00dB         0.17U
  5.033  MEMCX        0.00dB         3.00U

  6.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 200 mV/div
  6.002  TSET         TDESC = 200 mV/div
  6.003  TARGET       -p
  6.004  SCPI         CHAN[L10]:SCAL 200E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  6.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  6.006  TARGET       -m
  6.007  MATH         MEM = 282.84E-3; MEM1 = MEM

  6.008  DO
  6.009  MATH         MEM = MEM1 + (282.84E-3 - MEM) / 2
  6.010  9500         V                            50MH           LS    S  L
  6.011  WAIT         [D1000]
  6.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  6.013  UNTIL        (MEM >= 282.56E-3) && (MEM <= 283.12E-3)

  6.014  MATH         L[1] = MEM
  6.015  MATH         MEM = MEM1
  6.016  SCPI         TIMEBASE:SCALE 100E-12

  6.017  IF           GET("Bandwidth") == 2E+9
  6.018  9500         V                            2GH            LS    S  L
  6.019  ELSEIF       GET("Bandwidth") == 3E+9
  6.020  9500         V                            3GH            LS    S  L
  6.021  ELSEIF       GET("Bandwidth") == 4E+9
  6.022  9500         V                            4GH            LS    S  L
  6.023  ELSEIF       GET("Bandwidth") == 6E+9
  6.024  9500         V                            6GH            LS    S  L
  6.025  ELSE
  6.026  DISP         Bandwidth Out of Range!
  6.027  END
  6.028  ENDIF

  6.029  WAIT         -t 2 System settling...
  6.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  6.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  6.032  ACC          0.00dB         0.17U
  6.033  MEMCX        0.00dB         3.00U

  7.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 500 mV/div
  7.002  TSET         TDESC = 500 mV/div
  7.003  TARGET       -p
  7.004  SCPI         CHAN[L10]:SCAL 500E-3;OFFS 0V;:TIMEBASE:SCALE 16E-9
  7.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  7.006  TARGET       -m
  7.007  MATH         MEM = 707.11E-3; MEM1 = MEM

  7.008  DO
  7.009  MATH         MEM = MEM1 + (707.11E-3 - MEM) / 2
  7.010  9500         V                            50MH           LS    S  L
  7.011  WAIT         [D1000]
  7.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  7.013  UNTIL        (MEM >= 706.41E-3) && (MEM <= 707.81E-3)

  7.014  MATH         L[1] = MEM
  7.015  MATH         MEM = MEM1
  7.016  SCPI         TIMEBASE:SCALE 100E-12

  7.017  IF           GET("Bandwidth") == 2E+9
  7.018  9500         V                            2GH            LS    S  L
  7.019  ELSEIF       GET("Bandwidth") == 3E+9
  7.020  9500         V                            3GH            LS    S  L
  7.021  ELSEIF       GET("Bandwidth") == 4E+9
  7.022  9500         V                            4GH            LS    S  L
  7.023  ELSEIF       GET("Bandwidth") == 6E+9
  7.024  9500         V                            6GH            LS    S  L
  7.025  ELSE
  7.026  DISP         Bandwidth Out of Range!
  7.027  END
  7.028  ENDIF

  7.029  WAIT         -t 2 System settling...
  7.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  7.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  7.032  ACC          0.00dB         0.17U
  7.033  MEMCX        0.00dB         3.00U

  8.001  HEAD         ANALOG BANDWIDTH (CH [L10]): 1 V/div
  8.002  TSET         TDESC = 1 V/div
  8.003  TARGET       -p
  8.004  SCPI         CHAN[L10]:SCAL 1;OFFS 0V;:TIMEBASE:SCALE 16E-9
  8.005  SCPI         ACQ:POIN AUTO;SRAT MAX;INT ON;AVER OFF
  8.006  TARGET       -m
# A 2 division reference is used due to amplitude limitations of the 9560.
  8.007  MATH         MEM = 0.70711; MEM1 = MEM

  8.008  DO
  8.009  MATH         MEM = MEM1 + (0.70711 - MEM) / 2
  8.010  9500         V                            50MH           LS    S  L
  8.011  WAIT         [D1000]
  8.012  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  8.013  UNTIL        (MEM >= 0.70641) && (MEM <= 0.70781)

  8.014  MATH         L[1] = MEM
  8.015  MATH         MEM = MEM1
  8.016  SCPI         TIMEBASE:SCALE 100E-12

  8.017  IF           GET("Bandwidth") == 2E+9
  8.018  9500         V                            2GH            LS    S  L
  8.019  ELSEIF       GET("Bandwidth") == 3E+9
  8.020  9500         V                            3GH            LS    S  L
  8.021  ELSEIF       GET("Bandwidth") == 4E+9
  8.022  9500         V                            4GH            LS    S  L
  8.023  ELSEIF       GET("Bandwidth") == 6E+9
  8.024  9500         V                            6GH            LS    S  L
  8.025  ELSE
  8.026  DISP         Bandwidth Out of Range!
  8.027  END
  8.028  ENDIF

  8.029  WAIT         -t 2 System settling...
  8.030  SCPI         MEAS:VRMS? DISP,AC,CHAN[L10][I]
  8.031  MATH         MEM = (20 * LOG(MEM / L[1]))
  8.032  ACC          0.00dB         0.17U
  8.033  MEMCX        0.00dB         3.00U

  9.001  9500         *                                                 S
  9.002  SCPI         *RST
  9.003  END
